<div class="front_page_section front_page_section_contacts<?php
	$facultic_scheme = facultic_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $facultic_scheme ) && ! facultic_is_inherit( $facultic_scheme ) ) {
		echo ' scheme_' . esc_attr( $facultic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( facultic_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( facultic_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$facultic_css      = '';
		$facultic_bg_image = facultic_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $facultic_bg_image ) ) {
			$facultic_css .= 'background-image: url(' . esc_url( facultic_get_attachment_url( $facultic_bg_image ) ) . ');';
		}
		if ( ! empty( $facultic_css ) ) {
			echo ' style="' . esc_attr( $facultic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$facultic_anchor_icon = facultic_get_theme_option( 'front_page_contacts_anchor_icon' );
	$facultic_anchor_text = facultic_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $facultic_anchor_icon ) || ! empty( $facultic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $facultic_anchor_icon ) ? ' icon="' . esc_attr( $facultic_anchor_icon ) . '"' : '' )
									. ( ! empty( $facultic_anchor_text ) ? ' title="' . esc_attr( $facultic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( facultic_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' facultic-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$facultic_css      = '';
			$facultic_bg_mask  = facultic_get_theme_option( 'front_page_contacts_bg_mask' );
			$facultic_bg_color_type = facultic_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $facultic_bg_color_type ) {
				$facultic_bg_color = facultic_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $facultic_bg_color_type ) {
				$facultic_bg_color = facultic_get_scheme_color( 'bg_color', $facultic_scheme );
			} else {
				$facultic_bg_color = '';
			}
			if ( ! empty( $facultic_bg_color ) && $facultic_bg_mask > 0 ) {
				$facultic_css .= 'background-color: ' . esc_attr(
					1 == $facultic_bg_mask ? $facultic_bg_color : facultic_hex2rgba( $facultic_bg_color, $facultic_bg_mask )
				) . ';';
			}
			if ( ! empty( $facultic_css ) ) {
				echo ' style="' . esc_attr( $facultic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$facultic_caption     = facultic_get_theme_option( 'front_page_contacts_caption' );
			$facultic_description = facultic_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $facultic_caption ) || ! empty( $facultic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $facultic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $facultic_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $facultic_caption, 'facultic_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $facultic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $facultic_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $facultic_description ), 'facultic_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$facultic_content = facultic_get_theme_option( 'front_page_contacts_content' );
			$facultic_layout  = facultic_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $facultic_layout && ( ! empty( $facultic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $facultic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $facultic_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $facultic_content, 'facultic_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $facultic_layout && ( ! empty( $facultic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$facultic_sc = facultic_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $facultic_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $facultic_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					facultic_show_layout( do_shortcode( $facultic_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $facultic_layout && ( ! empty( $facultic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
