<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package FACULTIC
 * @since FACULTIC 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$facultic_copyright_scheme = facultic_get_theme_option( 'copyright_scheme' );
if ( ! empty( $facultic_copyright_scheme ) && ! facultic_is_inherit( $facultic_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $facultic_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$facultic_copyright = facultic_get_theme_option( 'copyright' );
			if ( ! empty( $facultic_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$facultic_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $facultic_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$facultic_copyright = facultic_prepare_macros( $facultic_copyright );
				// Display copyright
				echo wp_kses( nl2br( $facultic_copyright ), 'facultic_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
