<?php
/**
 * The template to display default site footer
 *
 * @package FACULTIC
 * @since FACULTIC 1.0.10
 */

$facultic_footer_id = facultic_get_custom_footer_id();
$facultic_footer_meta = get_post_meta( $facultic_footer_id, 'trx_addons_options', true );
if ( ! empty( $facultic_footer_meta['margin'] ) ) {
	facultic_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( facultic_prepare_css_value( $facultic_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $facultic_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $facultic_footer_id ) ) ); ?>
						<?php
						$facultic_footer_scheme = facultic_get_theme_option( 'footer_scheme' );
						if ( ! empty( $facultic_footer_scheme ) && ! facultic_is_inherit( $facultic_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $facultic_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'facultic_action_show_layout', $facultic_footer_id );
	?>
</footer><!-- /.footer_wrap -->
