<?php
/**
 * The template to display the background video in the header
 *
 * @package FACULTIC
 * @since FACULTIC 1.0.14
 */
$facultic_header_video = facultic_get_header_video();
$facultic_embed_video  = '';
if ( ! empty( $facultic_header_video ) && ! facultic_is_from_uploads( $facultic_header_video ) ) {
	if ( facultic_is_youtube_url( $facultic_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $facultic_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php facultic_show_layout( facultic_get_embed_video( $facultic_header_video ) ); ?></div>
		<?php
	}
}
